Amarok complains about missing QtScriptQtBindings

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Amarok complains about missing QtScriptQtBindings

Vojtěch Zeisek-2
Since last TW upgrade (well, I hadn't upgraded for several days), when I start
Amarok 2.9.0-1.1 from OSS, it complains about missing QtScriptQtBindings (it
says that without it, scripts will be unavailable). QtScriptQtBindings is
unavailable in https://software.opensuse.org/search Any idea how to fix it?

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Amarok complains about missing QtScriptQtBindings

Wolfgang Bauer
Am Dienstag, 13. März 2018, 08:49:18 schrieb Vojtěch Zeisek:
> QtScriptQtBindings is unavailable in https://software.opensuse.org/search

The package is called qt4-qtscript.

It was necessary for using scripts in the past as well, but previous Amarok
versions just failed silently instead of showing an error message to the
user...

I just had a look at the corresponding upstream commit though, and they check
for the QtWebKit bindings being available (amongst others), which we dropped
in openSUSE not too long ago.
https://cgit.kde.org/amarok.git/commit/?id=dcb84c08bc3bac35a56240727b7b8f8ba40087c9

Ouch.

Patch is upcoming...

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Amarok complains about missing QtScriptQtBindings

Wolfgang Bauer
Am Dienstag, 13. März 2018, 12:30:16 schrieb Wolfgang Bauer:
> I just had a look at the corresponding upstream commit though, and they
> check for the QtWebKit bindings being available (amongst others), which we
> dropped in openSUSE not too long ago.
> https://cgit.kde.org/amarok.git/commit/?id=dcb84c08bc3bac35a56240727b7b8f8ba
> 40087c9
>
> Ouch.
>
> Patch is upcoming...

Ignore that.

The actual 2.9.0 release does *not* check for QtWebKit any more, so all should
be fine...

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Amarok complains about missing QtScriptQtBindings

Vojtěch Zeisek-2
In reply to this post by Wolfgang Bauer
Dne úterý 13. března 2018 12:30:16 CET, Wolfgang Bauer napsal(a):
> Am Dienstag, 13. März 2018, 08:49:18 schrieb Vojtěch Zeisek:
> > QtScriptQtBindings is unavailable in https://software.opensuse.org/search
>
> The package is called qt4-qtscript.

Installed, fixed, thank You. :-)

--
Vojtěch Zeisek
https://trapa.cz/

signature.asc (849 bytes) Download Attachment